Bug 812223 - libblkid %post needs coreutils
libblkid %post needs coreutils
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 03:15 EDT by Marko Myllynen
Modified: 2012-04-16 03:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 03:24:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2012-04-13 03:15:06 EDT
Description of problem:
libblkid %post script calls mkdir and mv but does not Require(post): coreutils, causing the %post script to fail if coreutils is not available by accident already. Seen on virtual appliance buildroot.

Version-Release number of selected component (if applicable):
libblkid-2.21-0.2.f17.x86_64
Comment 1 Karel Zak 2012-04-16 03:24:59 EDT
%package -n libblkid
Summary: Block device ID library
Group: Development/Libraries
License: LGPLv2+
Requires: libuuid = %{version}-%{release}
Conflicts: filesystem < 3
Requires(post): coreutils

$ git blame -L 116,+1 util-linux.spec                                            
6c2b43a9 (Orion Poplawski 2012-02-17 14:45:10 -0700 116) Requires(post): coreutils

Note You need to log in before you can comment on or make changes to this bug.